Browse Source

update gentoo keywords to support gcc-10

open-iscsi and open-isns need keywording to support gcc-10, move it out
of being keyworded only for musl profiles.

remove unneeded keywords for python-exec and python-exec-conf (marked
stable)

use the full package name for the dev-lang/python-exec-conf package

Change-Id: I44eaf8c2230e9e2089a72fce46954f4336626843
Signed-off-by: Matthew Thode <mthode@mthode.org>
changes/94/781594/1 3.8.0
Matthew Thode 1 month ago
parent
commit
b4f768117f
No known key found for this signature in database GPG Key ID: 64A37BEAAE19A4E8
2 changed files with 5 additions and 7 deletions
  1. +4
    -6
      diskimage_builder/elements/gentoo/pre-install.d/02-gentoo-02-flags
  2. +1
    -1
      diskimage_builder/elements/gentoo/pre-install.d/02-gentoo-04-install-desired-python

+ 4
- 6
diskimage_builder/elements/gentoo/pre-install.d/02-gentoo-02-flags View File

@ -26,18 +26,16 @@ if [[ 'amd64' == "${ARCH}" ]]; then
echo 'sys-boot/grub grub_platforms_pc' >> /etc/portage/package.use/grub # bios support for bios systems
fi
# tool for setting python versions
echo "~dev-lang/python-exec-2.4.6 ~${ARCH}" >> /etc/portage/package.accept_keywords/python-exec-conf
echo "dev-lang/python-exec-conf ~${ARCH}" >> /etc/portage/package.accept_keywords/python-exec-conf
# needed to install static kernel
echo "sys-kernel/gentoo-kernel-bin ~${ARCH}" >> /etc/portage/package.accept_keywords/kernel
echo "virtual/dist-kernel ~${ARCH}" >> /etc/portage/package.accept_keywords/kernel
# needed for gcc-10 support
echo "~sys-block/open-iscsi-2.1.4 ~${ARCH}" >> /etc/portage/package.accept_keywords/open-iscsi
echo "~sys-block/open-isns-0.101 ~${ARCH}" >> /etc/portage/package.accept_keywords/open-iscsi
# musl only valid for amd64 for now
if [[ "${GENTOO_PROFILE}" == *"musl"* ]]; then
echo "dev-vcs/git -gpg" >> /etc/portage/package.use/musl # gpg doesn't build on musl profiles
echo "sys-libs/pam cracklib" >> /etc/portage/package.use/musl
echo "~sys-block/open-iscsi-2.1.1 ~${ARCH}" >> /etc/portage/package.accept_keywords/musl
echo "~sys-block/open-isns-0.100 ~${ARCH}" >> /etc/portage/package.accept_keywords/musl
fi

+ 1
- 1
diskimage_builder/elements/gentoo/pre-install.d/02-gentoo-04-install-desired-python View File

@ -24,7 +24,7 @@ echo "PYTHON_TARGETS=\"${GENTOO_PYTHON_TARGETS}\"" >> /etc/portage/make.conf
# install portage first due to bug in env vars not being passed when portage installs itself and re-inits
emerge ${GENTOO_EMERGE_DEFAULT_OPTS} --update --newuse --deep sys-apps/portage
# set the active python version
emerge ${GENTOO_EMERGE_DEFAULT_OPTS} --oneshot --update --newuse --nodeps dev-lang/python-exec python-exec-conf
emerge ${GENTOO_EMERGE_DEFAULT_OPTS} --oneshot --update --newuse --nodeps dev-lang/python-exec dev-lang/python-exec-conf
echo yes | etc-update --automode -3 /etc/python-exec/python-exec.conf
# make world consistant


Loading…
Cancel
Save